package com.ruoyi.web.modules.epidemic.service;

import java.util.List;
import com.ruoyi.web.modules.epidemic.domain.BizEpidemicReport;
import com.ruoyi.web.modules.epidemic.domain.dto.EpidemicReportRelieveRequest;

/**
 * 疫情上报服务
 */
public interface IBizEpidemicReportService
{
    BizEpidemicReport selectBizEpidemicReportById(Long id);

    List<BizEpidemicReport> selectBizEpidemicReportList(BizEpidemicReport query);

    int insertBizEpidemicReport(BizEpidemicReport row);

    int updateBizEpidemicReport(BizEpidemicReport row);

    int deleteBizEpidemicReportByIds(Long[] ids);

    int relieve(EpidemicReportRelieveRequest request, String updateBy);
}
